﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2020-09-14
 * *Copyright LockDataV
 * *Desc data visualization project based on Echarts4.0.
 */

@charset "utf-8";
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

*, body {
    padding: 0px;
    margin: 0px;
    font-family: "微软雅黑";
}

html {
    font-size: 16px;
}

body {
    color: rgba(0, 0, 0, .4);
    background: #D3E4EB url('') center top;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

li {
    list-style-type: none;
}

i {
    margin: 0px;
    padding: 0px;
    text-indent: 0px;
}

img {
    border: none;
    max-width: 100%;
}

a {
    text-decoration: none;
    color: #fff;
}

a.active, a:focus {
    outline: none !important;
    text-decoration: none;
}

ol, ul, p, h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 0
}

a:hover {
    color: #06c;
    text-decoration: none !important
}

.clearfix:after, .clearfix:before {
    display: table;
    content: " "
}

.clearfix:after {
    clear: both
}

/*定义滚动条高宽及背景 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: rgba(255, 255, 255, 0.2);
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 8px rgb(1, 64, 118);
    border-radius: 2px;
    background-color: rgba(245, 245, 245, 0.2);
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 8px #014076;
    background-color: #555;
}

/* 加载旋转动画 */
.loading {
    position: fixed;
    left: 0;
    top: 0;
    font-size: 1rem;
    z-index: 100000000;
    width: 100%;
    height: 100%;
    background: #1a1a1c;
    text-align: center;
}

.loadbox {
    position: absolute;
    width: 160px;
    height: 150px;
    color: rgba(255, 255, 255, .6);
    left: 50%;
    top: 50%;
    margin-top: -100px;
    margin-left: -75px;
}

.loadbox img {
    margin: 10px auto;
    display: block;
    width: 40px;
}

/*头部标题*/
.top {
    position: relative;
    height: 5rem;
    line-height: 5rem;
    width: 100%;
    margin: 0 0 5px 0;
    background: rgba(255, 255, 255, 1);
}

.t1 {
    position: absolute;
    padding-top: 10px;
    padding-left: 10px;
    height: 100%;
}

.logo {
    float: left;
    margin: auto 15px;
}

.logo img {
    width: 40px;
    height: 40px;
    margin-top: -20px;
}

.title {
    float: left;
    font-size: 20px;
    font-weight: bold;
    letter-spacing: 1px;
    color: #00B0F0;
    height: 100%;
    margin-top: -15px;
}

.subt {
    font-size: 10px;
    color: #00B0F0;
    letter-spacing: 1px;
    font-family: "Arial";
    margin-top: -60px;
}

.menu {
    position: absolute;
    right: 15px;
    top: 25px;
    height: 100%;
    vertical-align: middle;
}

.menu img {
    float: left;
    width: 30px;
    height: 30px;
}

.menu span {
    display: inline-block;
    float: left;
    color: rgba(76, 76, 76, 1);
    margin: -25px 10px 0px 10px;

}

.search {
    position: absolute;
    left: 400px;
    margin: auto;
}

.notice, .clearData {
    cursor: pointer;
}

/*设备状态栏*/
.status {
    background: rgba(255, 255, 255, 1);
    height: 5rem;
    line-height: 5rem;
    width: 95%;
    margin: 10px auto;
    border-radius: 10px;
    vertical-align: middle;
    box-shadow: rgba(76, 76, 76, .5) 0px 0px 5px;
}

#cur, #equip {
    color: rgba(76, 76, 76, 1);
    margin: auto 0.5rem;
    vertical-align: middle;
}

#normal, #heightNorm, #lowNorm {
    color: rgba(76, 76, 76, 1);
    margin-right: 1rem;
    vertical-align: middle;
}

#showTime {
    float: left;
    font-size: 1.15rem;
    font-weight: bold;
    color: rgba(76, 76, 76, 1);
    margin: auto 1rem;
}

.stuNum1 {
    display: inline-block;
    border-radius: 50%;
    background: #7CB854;
    margin: auto 5px;
    width: 1rem;
    height: 1rem;
    vertical-align: middle;
}

.stuNum2 {
    display: inline-block;
    border-radius: 50%;
    background: #DB2F2C;
    margin: auto 5px;
    width: 15px;
    height: 15px;
    vertical-align: middle;
}

.stuNum3 {
    display: inline-block;
    border-radius: 50%;
    background: #3EC6F0;
    margin: auto 5px;
    width: 15px;
    height: 15px;
    vertical-align: middle;
}

/*大屏主体*/
.mainbox {
    padding: 10px;
}

.mainbox > ul {
    margin-top: 1.25rem;
    margin-left: 2%;
    margin-right: 2%;
}

.mainbox > ul > li {
    float: left;
}

.mainbox > ul > li {
    width: 33.3333%
}

/*框架通用CSS*/
.boxAll {
    position: relative;
    padding: 1.5rem;
    background: rgba(255, 255, 255, 1);
    margin-bottom: 20px;
    border-radius: 10px;
    z-index: 10;
    width: 98%;
    box-shadow: rgba(76, 76, 76, .5) 0px 0px 5px;
}

.floor1, .floor2, .floor3 {
    float: left;
    width: 100%;
}

.floor2 {
    margin-top: 1rem;
}

.floor3 {
    margin-top: 0.2rem;
}

.norm1 {
    float: left;
    width: 23%;
    font-size: 0.875rem;
    margin-right: 2%;
    color: rgba(76, 76, 76, 1);
}

.norm2 {
    float: left;
    width: 69%;
    font-size: 0.875rem;
    margin-left: 2%;
    color: rgba(76, 76, 76, 1);
}

.norm1 p {
    float: left;
    margin: 1.25rem auto;
    font-size: 0.875rem;
    text-align: center;
}

.sensor_l, .sensor_r {
    font-family: "黑体";
    font-size: 0.875rem;
    font-weight: bold;
    color: rgba(76, 76, 76, 1);
}

.sensor_l {
    float: left;
}

.sensor_l p {
    font-family: "Arial";
    background: #49626B;
    font-size: 1rem;
    padding: 2px;
    color: rgba(255, 255, 255, 0.8);
}

.sensor_r {
    float: right;
    text-align: right;
}

.sensor_r p {
    font-family: "Arial";
    font-size: 1rem;
    color: rgba(76, 76, 76, 1);
}

.temp {
    float: left;
    border-radius: 50%;
    width: 4.5rem;
    height: 4.5rem;
    line-height: 4.5rem;
    color: rgba(255, 255, 255, 1);
    font-size: 1.5rem;
    text-align: center;
    margin-top: 1.5rem;
}

.tempbg1 {
    background: #7CB854;
}

.tempbg2 {
    background: #DB2F2C;
}

.tempbg3 {
    background: #3EC6F0;
}

.tempDepart {
    color: rgba(255, 255, 255, 1);
    font-size: 10px;
}

/*弹出层*/
.laybg {
    display: inline-block;
    width: 1rem;
    height: 1rem;
    line-height: 1rem;
    text-align: center;
    float: right;
    cursor: pointer;
}

/*新窗口*/
.new1, .new2, .new3, .new4, .new5, .new6, .new7, .new8, .new9 {
    float: right;
    color: rgba(255, 255, 255, .3);
    margin-right: 2%;
    font-size: 10px;
}

.new1 img {
    width: 0.775rem;
    height: 0.775rem;
    cursor: pointer;
}

/*角标*/
#datav-text-logo {
    position: fixed;
    color: #00fcf9;
    right: 10px;
    bottom: 10px;
    width: 70px;
    z-index: 99999;
}